package gov.va.med.esr.common.batchprocess;

import java.math.BigDecimal;
import java.math.BigInteger;

import org.apache.commons.lang.builder.ToStringBuilder;

import gov.va.med.fw.model.AbstractEntity;

import gov.va.med.esr.common.model.lookup.VAFacility;

public class UnmigratedICNFileData extends AbstractEntity {
	/**
	 *
	 */
	private static final long serialVersionUID = -1464589185245001470L;
	private String ssnText;
	private String lastName;
	private String firstName;
	private String gender;
	private String dateOfBirth;
	private String DFN;
	private VAFacility facility;
	private Integer incomeYear;
	private BigDecimal personId;

	protected void buildToString(ToStringBuilder builder) {
		builder.append("ssnText", ssnText).append("lastName", lastName).
			append("firstName", firstName).append("gender", gender).
			append("dateOfBirth", dateOfBirth).append("DFN", DFN).
			append("facility", facility).append("incomeYear", incomeYear).append("personId", personId);
	}

	public String getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(String dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getDFN() {
		return DFN;
	}

	public void setDFN(String dfn) {
		DFN = dfn;
	}

	public VAFacility getFacility() {
		return facility;
	}

	public void setFacility(VAFacility facility) {
		this.facility = facility;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public Integer getIncomeYear() {
		return incomeYear;
	}

	public void setIncomeYear(Integer incomeYear) {
		this.incomeYear = incomeYear;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getSsnText() {
		return ssnText;
	}

	public void setSsnText(String ssnText) {
		this.ssnText = ssnText;
	}

	public BigDecimal getPersonId() {
		return personId;
	}

	public void setPersonId(BigDecimal personId) {
		this.personId = personId;
	}

}
